Index: trunk/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 2528)
@@ -1423,16 +1439,16 @@
             DO ji = 1, jpi
                DO jk = 1, jpk
-                 e3t(ji,jj,jk)=((hbatt(ji,jj)-hift(ji,jj))*esigt(jk) + hift(ji,jj)/FLOAT(jpkm1))
-                 e3u(ji,jj,jk)=((hbatu(ji,jj)-hifu(ji,jj))*esigt(jk) + hifu(ji,jj)/FLOAT(jpkm1))
-                 e3v(ji,jj,jk)=((hbatv(ji,jj)-hifv(ji,jj))*esigt(jk) + hifv(ji,jj)/FLOAT(jpkm1))
-                 e3f(ji,jj,jk)=((hbatf(ji,jj)-hiff(ji,jj))*esigt(jk) + hiff(ji,jj)/FLOAT(jpkm1))
+                 e3t(ji,jj,jk) = ( (hbatt(ji,jj)-hift(ji,jj))*esigt(jk) + hift(ji,jj)/REAL(jpkm1,wp) )
+                 e3u(ji,jj,jk) = ( (hbatu(ji,jj)-hifu(ji,jj))*esigt(jk) + hifu(ji,jj)/REAL(jpkm1,wp) )
+                 e3v(ji,jj,jk) = ( (hbatv(ji,jj)-hifv(ji,jj))*esigt(jk) + hifv(ji,jj)/REAL(jpkm1,wp) )
+                 e3f(ji,jj,jk) = ( (hbatf(ji,jj)-hiff(ji,jj))*esigt(jk) + hiff(ji,jj)/REAL(jpkm1,wp) )
                  !
-                 e3w (ji,jj,jk)=((hbatt(ji,jj)-hift(ji,jj))*esigw(jk) + hift(ji,jj)/FLOAT(jpkm1))
-                 e3uw(ji,jj,jk)=((hbatu(ji,jj)-hifu(ji,jj))*esigw(jk) + hifu(ji,jj)/FLOAT(jpkm1))
-                 e3vw(ji,jj,jk)=((hbatv(ji,jj)-hifv(ji,jj))*esigw(jk) + hifv(ji,jj)/FLOAT(jpkm1))
+                 e3w (ji,jj,jk) = ( (hbatt(ji,jj)-hift(ji,jj))*esigw(jk) + hift(ji,jj)/REAL(jpkm1,wp) )
+                 e3uw(ji,jj,jk) = ( (hbatu(ji,jj)-hifu(ji,jj))*esigw(jk) + hifu(ji,jj)/REAL(jpkm1,wp) )
+                 e3vw(ji,jj,jk) = ( (hbatv(ji,jj)-hifv(ji,jj))*esigw(jk) + hifv(ji,jj)/REAL(jpkm1,wp) )
                END DO
             END DO
          END DO
-
+         !
       ENDIF ! ln_s_sigma
 
@@ -1457,5 +1473,5 @@
             DO jk = 1, jpkm1
                IF( scobot(ji,jj) >= fsdept(ji,jj,jk) )   mbathy(ji,jj) = MAX( 2, jk )
-               IF( scobot(ji,jj) == 0.e0             )   mbathy(ji,jj) = 0
+               IF( scobot(ji,jj) == 0._wp            )   mbathy(ji,jj) = 0
             END DO
          END DO
@@ -1463,5 +1479,4 @@
       IF( nprint == 1 .AND. lwp ) WRITE(numout,*) ' MIN val mbathy h90 ', MINVAL( mbathy(:,:) ),   &
          &                                                       ' MAX ', MAXVAL( mbathy(:,:) )
-
 
       !                                               ! =============
@@ -1523,9 +1538,9 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF( fse3w(ji,jj,jk) <= 0. .OR. fse3t(ji,jj,jk) <= 0. ) THEN
+               IF( fse3w(ji,jj,jk) <= 0._wp .OR. fse3t(ji,jj,jk) <= 0._wp ) THEN
                   WRITE(ctmp1,*) 'zgr_sco :   e3w   or e3t   =< 0  at point (i,j,k)= ', ji, jj, jk
                   CALL ctl_stop( ctmp1 )
                ENDIF
-               IF( fsdepw(ji,jj,jk) < 0. .OR. fsdept(ji,jj,jk) < 0. ) THEN
+               IF( fsdepw(ji,jj,jk) < 0._wp .OR. fsdept(ji,jj,jk) < 0._wp ) THEN
                   WRITE(ctmp1,*) 'zgr_sco :   gdepw or gdept =< 0  at point (i,j,k)= ', ji, jj, jk
                   CALL ctl_stop( ctmp1 )
@@ -1538,5 +1553,4 @@
    END SUBROUTINE zgr_sco
 
-#endif
 
    !!======================================================================
Index: trunk/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr_substitute.h90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr_substitute.h90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr_substitute.h90	(revision 2528)
@@ -8,17 +8,4 @@
    !!            3.1  !  2009-02  (G. Madec, M. Leclair)  pure z* coordinate
    !!----------------------------------------------------------------------
-#if defined key_zco
-! reference for pure z-coordinate (1D - no i,j and time dependency)
-#   define  fsdept_0(i,j,k)  gdept_0(k)
-#   define  fsdepw_0(i,j,k)  gdepw_0(k)
-#   define  fsde3w_0(i,j,k)  gdepw_0(k)
-#   define  fse3t_0(i,j,k)   e3t_0(k)
-#   define  fse3u_0(i,j,k)   e3t_0(k)
-#   define  fse3v_0(i,j,k)   e3t_0(k)
-#   define  fse3f_0(i,j,k)   e3t_0(k)
-#   define  fse3w_0(i,j,k)   e3w_0(k)
-#   define  fse3uw_0(i,j,k)  e3w_0(k)
-#   define  fse3vw_0(i,j,k)  e3w_0(k)
-#else
 ! reference for s- or zps-coordinate (3D no time dependency)
 #   define  fsdept_0(i,j,k)  gdept(i,j,k)
@@ -32,5 +19,4 @@
 #   define  fse3uw_0(i,j,k)  e3uw(i,j,k)
 #   define  fse3vw_0(i,j,k)  e3vw(i,j,k)
-#endif
 #if defined key_vvl
 ! s* or z*-coordinate (3D + time dependency) + use of additional now arrays (..._1)
@@ -46,12 +32,7 @@
 #   define  fse3vw(i,j,k)  e3vw_1(i,j,k)
 
-#   define  fsdept_b(i,j,k)  (fsdept_0(i,j,k)*(1.+sshb(i,j)*mut(i,j,k)))
-#   define  fsdepw_b(i,j,k)  (fsdepw_0(i,j,k)*(1.+sshb(i,j)*mut(i,j,k)))
-#   define  fsde3w_b(i,j,k)  (fsde3w_0(i,j,k)*(1.+sshb(i,j)*mut(i,j,k))-sshb(i,j))
-#   define  fse3t_b(i,j,k)   (fse3t_0(i,j,k)*(1.+sshb(i,j)*mut(i,j,k)))
-#   define  fse3u_b(i,j,k)   (fse3u_0(i,j,k)*(1.+sshu_b(i,j)*muu(i,j,k)))
-#   define  fse3v_b(i,j,k)   (fse3v_0(i,j,k)*(1.+sshv_b(i,j)*muv(i,j,k)))
-#   define  fse3f_b(i,j,k)   (fse3f_0(i,j,k)*(1.+sshf_b(i,j)*muf(i,j,k)))
-#   define  fse3w_b(i,j,k)   (fse3w_0(i,j,k)*(1.+sshb(i,j)*mut(i,j,k)))
+#   define  fse3t_b(i,j,k)   e3t_b(i,j,k)
+#   define  fse3u_b(i,j,k)   e3u_b(i,j,k)
+#   define  fse3v_b(i,j,k)   e3v_b(i,j,k)
 #   define  fse3uw_b(i,j,k)  (fse3uw_0(i,j,k)*(1.+sshu_b(i,j)*muu(i,j,k)))
 #   define  fse3vw_b(i,j,k)  (fse3vw_0(i,j,k)*(1.+sshv_b(i,j)*muv(i,j,k)))
@@ -70,14 +51,7 @@
 #   define  fse3t_m(i,j,k)   (fse3t_0(i,j,k)*(1.+ssh_m(i,j)*mut(i,j,k)))
 
-#   define  fsdept_a(i,j,k)  (fsdept_0(i,j,k)*(1.+ssha(i,j)*mut(i,j,k)))
-#   define  fsdepw_a(i,j,k)  (fsdepw_0(i,j,k)*(1.+ssha(i,j)*mut(i,j,k)))
-#   define  fsde3w_a(i,j,k)  (fsde3w_0(i,j,k)*(1.+ssha(i,j)*mut(i,j,k))-ssha(i,j))
 #   define  fse3t_a(i,j,k)   (fse3t_0(i,j,k)*(1.+ssha(i,j)*mut(i,j,k)))
 #   define  fse3u_a(i,j,k)   (fse3u_0(i,j,k)*(1.+sshu_a(i,j)*muu(i,j,k)))
 #   define  fse3v_a(i,j,k)   (fse3v_0(i,j,k)*(1.+sshv_a(i,j)*muv(i,j,k)))
-#   define  fse3f_a(i,j,k)   (fse3f_0(i,j,k)*(1.+sshf_a(i,j)*muf(i,j,k)))
-#   define  fse3w_a(i,j,k)   (fse3w_0(i,j,k)*(1.+ssha(i,j)*mut(i,j,k)))
-#   define  fse3uw_a(i,j,k)  (fse3uw_0(i,j,k)*(1.+sshu_a(i,j)*muu(i,j,k)))
-#   define  fse3vw_a(i,j,k)  (fse3vw_0(i,j,k)*(1.+sshv_a(i,j)*muv(i,j,k)))
 
 #else
@@ -94,12 +68,7 @@
 #   define  fse3vw(i,j,k)  fse3vw_0(i,j,k)
 
-#   define  fsdept_b(i,j,k)  fsdept_0(i,j,k)
-#   define  fsdepw_b(i,j,k)  fsdepw_0(i,j,k)
-#   define  fsde3w_b(i,j,k)  fsde3w_0(i,j,k)
 #   define  fse3t_b(i,j,k)   fse3t_0(i,j,k)
 #   define  fse3u_b(i,j,k)   fse3u_0(i,j,k)
 #   define  fse3v_b(i,j,k)   fse3v_0(i,j,k)
-#   define  fse3f_b(i,j,k)   fse3f_0(i,j,k)
-#   define  fse3w_b(i,j,k)   fse3w_0(i,j,k)
 #   define  fse3uw_b(i,j,k)  fse3uw_0(i,j,k)
 #   define  fse3vw_b(i,j,k)  fse3vw_0(i,j,k)
@@ -118,18 +87,11 @@
 #   define  fse3t_m(i,j,k)   fse3t_0(i,j,k)
 
-#   define  fsdept_a(i,j,k)  fsdept_0(i,j,k)
-#   define  fsdepw_a(i,j,k)  fsdepw_0(i,j,k)
-#   define  fsde3w_a(i,j,k)  fsde3w_0(i,j,k)
 #   define  fse3t_a(i,j,k)   fse3t_0(i,j,k)
 #   define  fse3u_a(i,j,k)   fse3u_0(i,j,k)
 #   define  fse3v_a(i,j,k)   fse3v_0(i,j,k)
-#   define  fse3f_a(i,j,k)   fse3f_0(i,j,k)
-#   define  fse3w_a(i,j,k)   fse3w_0(i,j,k)
-#   define  fse3uw_a(i,j,k)  fse3uw_0(i,j,k)
-#   define  fse3vw_a(i,j,k)  fse3vw_0(i,j,k)
 #endif
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
